/**
 * External dependencies
 */
import i18n from 'i18n-calypso';

export const helpCourses = [
	{
		title: i18n.translate( 'Everything You Need to Know About SEO and Marketing for Your Website' ),
		description: i18n.translate(
			'You will leave this 60-minute session with a plan for optimizing your site for search engines ' +
				'and an overview of basic tactics for increasing your traffic. Our Happiness Engineers will provide a ' +
				"foundation for making sure that your site meets current SEO standards. We'll also discuss how to " +
				'maximize tools like Google Analytics and Webmaster Tools.'
		),
		video: {
			youtubeId: 'FU7uxbngrq4',
		},
	},
	{
		title: i18n.translate( 'How to Make a Business Site on WordPress.com' ),
		description: i18n.translate(
			'A 60-minute overview course with two of our Happiness Engineers. In this live group session, ' +
				'we provide an overview of WordPress.com, discuss features of the WordPress.com Business ' +
				'plan, provide a basic setup overview to help you get started with your site, and show you ' +
				'where to find additional resources and help in the future.'
		),
		video: {
			youtubeId: 'S2h_mV0OAcU',
		},
	},
];
